<?php
// $Id: template.php,v 1.3.2.2 2007/04/22 09:12:01 Gurpartap Exp $

function solemnity_regions() {
  return array(
       'header'  => t('header'),
       'right'   => t('right sidebar'),
       'content' => t('content'),
       'footer'  => t('footer')
  );
}

function phptemplate_search_theme_form($form) {
  return _phptemplate_callback('search-box', array('form' => $form));
}

function solemnity_primary_links() {
  $links = menu_primary_links();
  if ($links) {
    $output .= '<ol class="subnav">';
    foreach ($links as $link) {

      $output .= '<li>' . l($link['title'], $link['href'], $link['attributes'], $link['query'], $link['fragment']) . '</li>';
    }; 
    $output .= '</ol>';
  }
  return $output;
}

function solemnity_secondary_links() {
  $links = menu_secondary_links();
  if ($links) {
    $output .= '<ul id="nav">';
    foreach ($links as $link) {

      $output .= '<li>' . l($link['title'], $link['href'], $link['attributes'], $link['query'], $link['fragment']) . '</li>';
    }; 
    $output .= '</ul>';
  }
  return $output;
}